## org.eclipse.datatools.connectivity.oda.design
Interface ResultSetColumns

public interface ResultSetColumns

A collection of result set columns' definitions.

The following features are supported:

- `Result Column Definitions`

See Also:
  `DesignPackage.getResultSetColumns()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getResultColumnDefinitions()` Returns the value of the 'Result Column Definitions' containment reference list.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getResultColumnDefinitions

    public EList getResultColumnDefinitions()

  Returns the value of the 'Result Column Definitions' containment reference list. The list contents are of type `ColumnDefinition`.

  Returns:
    the value of the 'Result Column Definitions' containment reference list.
  See Also:
    `DesignPackage.getResultSetColumns_ResultColumnDefinitions()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.